## kdelibs-trinity 3.5.13.3~pre393

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup #####################

project( kdelibs )

set( PACKAGE kdelibs )
set( VERSION "3.5.13" )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckSymbolExists )
include( CheckFunctionExists )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckTypeSize )
include( CheckCSourceRuns )
include( CheckLibraryExists )
include( CheckStructHasMember )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )
include( TDESetupPaths )


##### setup and find essential stuff ############

tde_setup_paths( )
tde_setup_architecture_flags( )
enable_testing( )
find_package( TQt )

list( APPEND TDECORE_LIBRARY_DIRS ${TQT_LIBRARY_DIRS} )


##### add apidox targets ############

if( "${CMAKE_VERSION}" VERSION_LESS "3.1" )
  set( CMAKE_ENV "env" )
else()
  set( CMAKE_ENV "${CMAKE_COMMAND};-E;env" )
endif()

add_custom_target( apidox
  COMMAND ${CMAKE_ENV}
    "QTDOCDIR=/usr/share/qt3/doc/html"
    ${CMAKE_SOURCE_DIR}/admin/doxygen.sh
    --no-modulename
    ${CMAKE_SOURCE_DIR}
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.html' |
    xargs -r sed -i 's|${CMAKE_BINARY_DIR}/apidocs|${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs|g'
  COMMAND
    find ${CMAKE_BINARY_DIR}/apidocs -name '*.tag' |
    xargs -r sed -i 's|${CMAKE_SOURCE_DIR}/|${PROJECT_NAME}/|g'
  WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
)

add_custom_target( install-apidox
  COMMAND ${CMAKE_COMMAND} -E echo Apidox installed in ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
)

install( CODE "
  if( EXISTS ${CMAKE_BINARY_DIR}/apidocs )
    file(
      INSTALL ${CMAKE_BINARY_DIR}/apidocs/
      DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}-apidocs
      PATTERN doxygen_sqlite3.db EXCLUDE
      PATTERN installdox-slow EXCLUDE
    )
  endif()"
)


##### user requested options ####################

OPTION( WITH_ALL_OPTIONS "Enable all optional support" OFF )

OPTION( KDE_MALLOC "Use own malloc implementation" OFF )
OPTION( KDE_MALLOC_DEBUG "Enable debugging in fast malloc" OFF )
OPTION( KDE_MALLOC_FULL "Make alloc as fast as possible" OFF )

OPTION( WITH_ARTS "Build with aRts" ON )
OPTION( WITH_ALSA "Enable ALSA support" ON )
OPTION( WITH_LIBART "Enable libart support (for SVG icons)" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LIBIDN "Enable support for libidn" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SSL "Enable support for SSL" ON )
OPTION( WITH_CUPS "Enable CUPS support" ON )
OPTION( WITH_IMAGETOPS_BINARY "Enable installation of imagetops binary" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LUA "Enable LUA support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_TIFF "Enable tiff support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_JASPER "Enable jasper (jpeg2k) support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_OPENEXR "Enable openexr support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_UTEMPTER "Use utempter for utmp management" ${WITH_ALL_OPTIONS} )
OPTION( WITH_AVAHI "Enable AVAHI support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_PCRE "Enable pcre regex support for kjs" ON )
OPTION( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" OFF )
OPTION( WITH_INOTIFY "Enable inotify support for kio" ON )
OPTION( WITH_GAMIN "Enable FAM/GAMIN support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SUDO_KDESU_BACKEND "Use sudo as backend for kdesu (default is su)" OFF )
OPTION( WITH_LZMA "Enable support for LZMA/XZ" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LIBBFD "Enable pretty backtraces with libbfd from GNU binutils" OFF )
OPTION( WITH_XRANDR "Build the krandr library" ON )
OPTION( WITH_XCOMPOSITE "Enable xcomposite support" ON )
OPTION( WITH_MITSHM "Use MIT-SHM for pixmap loading/saving" ${WITH_ALL_OPTIONS} )

OPTION( WITH_ISPELL "Enable ispell support" ON )
OPTION( WITH_ASPELL "Enable aspell support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_HSPELL "Enable hspell support" ${WITH_ALL_OPTIONS} )

set( KDE4_DEFAULT_HOME ".kde" CACHE PATH "KDE4 home directory passed as KDEHOME to kde4 applications" )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:${PKGCONFIG_INSTALL_DIR}:${LIB_INSTALL_DIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )


##### check for CPU architecture ################

### FIXME fast malloc is also available on x86_64 architecture?
if( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  set( KDE_MALLOC_X86 1 )
  message( STATUS "Found x86 architecture" )
else( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  if( KDE_MALLOC )
    message( FATAL_ERROR "\nKDE fast malloc is available only on x86 architecture" )
  endif( KDE_MALLOC )
endif( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )


##### check for operating system ################

if( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
  set( KDEINIT_SETUID 1 )
  set( KDEINIT_OOM_PROTECT 1 )
endif( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )


##### get the system's default path for libraries

tde_save_and_set( CMAKE_INSTALL_PREFIX "/usr" )
include( GNUInstallDirs OPTIONAL )
if( CMAKE_INSTALL_LIBDIR )
  set( SYSTEM_LIBDIR "${CMAKE_INSTALL_LIBDIR}" )
else( )
  set( SYSTEM_LIBDIR "lib${LIB_SUFFIX}" )
endif( )
tde_restore( CMAKE_INSTALL_PREFIX )


##### check for compiler capabilities ###########

include( CheckCXXCompilerFlag )

check_cxx_compiler_flag( -Woverloaded-virtual WOVERLOADED_VIRTUAL )
if( WOVERLOADED_VIRTUAL )
  set( WOVERLOADED_VIRTUAL -Woverloaded-virtual )
endif( WOVERLOADED_VIRTUAL )

check_cxx_compiler_flag( -fno-builtin NO_BUILTIN )
if( NO_BUILTIN )

endif( NO_BUILTIN )


##### system checks #############################

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )

tde_save_and_set( CMAKE_REQUIRED_INCLUDES ${CMAKE_SOURCE_DIR}/libltdl )
check_include_file( "ltdl.h" HAVE_LTDL_H )
if( NOT HAVE_LTDL_H )
  tde_message_fatal( "ltdl.h is required, but not found on your system" )
endif( )
tde_restore( CMAKE_REQUIRED_INCLUDES )

check_include_file( "alloca.h" HAVE_ALLOCA_H )
check_include_file( "arpa/nameser8_compat.h" HAVE_ARPA_NAMESER8_COMPAT_H )
check_include_file( "awe_voice.h" HAVE_AWE_VOICE_H )
check_include_file( "Carbon/Carbon.h" HAVE_CARBON_CARBON_H )
check_include_file( "crt_externs.h" HAVE_CRT_EXTERNS_H )
check_include_file( "ctype.h" HAVE_CTYPE_H )
check_include_file( "dirent.h" HAVE_DIRENT_H )
check_include_file( "dld.h" HAVE_DLD_H )
check_include_file( "dlfcn.h" HAVE_DLFCN_H )
check_include_file( "dl.h" HAVE_DL_H )
check_include_file( "float.h" HAVE_FLOAT_H )
check_include_file( "fstab.h" HAVE_FSTAB_H )
check_include_file( "ieeefp.h" HAVE_IEEEFP_H )
check_include_file( "inttypes.h" HAVE_INTTYPES_H )
check_include_file( "libutil.h" HAVE_LIBUTIL_H )
check_include_file( "limits.h" HAVE_LIMITS_H )
check_include_file( "linux/awe_voice.h" HAVE_LINUX_AWE_VOICE_H )
check_include_file( "locale.h" HAVE_LOCALE_H )
check_include_file( "machine/soundcard.h" HAVE_MACHINE_SOUNDCARD_H )
check_include_file( "malloc.h" HAVE_MALLOC_H )
check_include_file( "memory.h" HAVE_MEMORY_H )
check_include_file( "mntent.h" HAVE_MNTENT_H )
check_include_file( "ndir.h" HAVE_NDIR_H )
check_include_file( "netinet/in.h" HAVE_NETINET_IN_H )
check_include_file( "net/if.h" HAVE_NET_IF_H )
if( NOT HAVE_NET_IF_H )
  find_path( NET_IF_PATH "net/if.h" )
  if( NET_IF_PATH )
    set( HAVE_NET_IF_H "1" )
  endif( )
endif( )
check_include_file( "paths.h" HAVE_PATHS_H )
check_include_file( "pty.h" HAVE_PTY_H )
check_include_file( "stdint.h" HAVE_STDINT_H )
check_include_file( "stdio.h" HAVE_STDIO_H )
check_include_file( "stdlib.h" HAVE_STDLIB_H )
check_include_file( "strings.h" HAVE_STRINGS_H )
check_include_file( "string.h" HAVE_STRING_H )
check_include_file( "sysent.h" HAVE_SYSENT_H )
check_include_file( "sys/acl.h" HAVE_SYS_ACL_H )
check_include_file( "sys/bitypes.h" HAVE_SYS_BITYPES_H )
check_include_file( "sys/dir.h" HAVE_SYS_DIR_H )
check_include_file( "sys/filio.h" HAVE_SYS_FILIO_H )
check_include_file( "sys/mman.h" HAVE_SYS_MMAN_H )
check_include_file( "sys/mntent.h" HAVE_SYS_MNTENT_H )
check_include_file( "sys/mnttab.h" HAVE_SYS_MNTTAB_H )
check_include_file( "sys/mount.h" HAVE_SYS_MOUNT_H )
if( NOT HAVE_SYS_MOUNT_H )
  find_path( SYS_MOUNT_PATH "sys/mount.h" )
  if( SYS_MOUNT_PATH )
    set( HAVE_SYS_MOUNT_H "1" )
  endif( )
endif( )
check_include_file( "sys/ndir.h" HAVE_SYS_NDIR_H )
check_include_file( "sys/param.h" HAVE_SYS_PARAM_H )
check_include_file( "sys/prctl.h" HAVE_SYS_PRCTL_H )
check_include_file( "sys/select.h" HAVE_SYS_SELECT_H )
check_include_file( "sys/soundcard.h" HAVE_SYS_SOUNDCARD_H )
check_include_file( "sys/stat.h" HAVE_SYS_STAT_H )
check_include_file( "sys/stropts.h" HAVE_SYS_STROPTS_H )
check_include_file( "sys/types.h" HAVE_SYS_TYPES_H )
check_include_file( "sys/ucred.h" HAVE_SYS_UCRED_H )
if( NOT HAVE_SYS_UCRED_H )
  find_path( SYS_UCRED_PATH "sys/ucred.h" )
  if( SYS_UCRED_PATH )
    set( HAVE_SYS_UCRED_H "1" )
  endif( )
endif( )
check_include_file( "sys/xattr.h" HAVE_SYS_XATTR_H )
check_include_file( "termios.h" HAVE_TERMIOS_H )
check_include_file( "termio.h" HAVE_TERMIO_H )
check_include_file( "unistd.h" HAVE_UNISTD_H )
check_include_file( "util.h" HAVE_UTIL_H )
check_include_file( "values.h" HAVE_VALUES_H )

# FIXME I'm not sure if test TIME_WITH_SYS_TIME are correct
check_include_file( "sys/time.h" HAVE_SYS_TIME_H )
check_include_file( "time.h" HAVE_TIME_H )
if( HAVE_SYS_TIME_H AND HAVE_TIME_H )
  set( TIME_WITH_SYS_TIME 1 )
endif( HAVE_SYS_TIME_H AND HAVE_TIME_H )

if( HAVE_SYS_ACL_H )
  check_include_file( "acl/libacl.h" HAVE_ACL_LIBACL_H )
  if( HAVE_ACL_LIBACL_H )
    check_library_exists( acl acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
      set( USE_POSIX_ACL 1 )
      set( HAVE_NON_POSIX_ACL_EXTENSIONS 1 )
      set( ACL_LIBRARIES acl attr )
    endif( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
  else( HAVE_ACL_LIBACL_H )
    check_library_exists( c acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT )
      set( USE_POSIX_ACL 1 )
      set( ACL_LIBRARIES c )
    endif( HAVE_ACL_INIT )
  endif( HAVE_ACL_LIBACL_H )
endif( HAVE_SYS_ACL_H )

check_include_file( "valgrind/memcheck.h" HAVE_VALGRIND_MEMCHECK_H )
check_include_file( "values.h" HAVE_VALUES_H )
check_include_file( "X11/extensions/shape.h" HAVE_X11_EXTENSIONS_SHAPE_H )
check_include_file( "/usr/src/sys/gnu/i386/isa/sound/awe_voice.h" HAVE__USR_SRC_SYS_GNU_I386_ISA_SOUND_AWE_VOICE_H )
check_include_file( "/usr/src/sys/i386/isa/sound/awe_voice.h" HAVE__USR_SRC_SYS_I386_ISA_SOUND_AWE_VOICE_H )

check_function_exists( random HAVE_RANDOM )
check_symbol_exists( random "stdlib.h" HAVE_RANDOM_PROTO )

check_function_exists( srandom HAVE_SRANDOM )
check_symbol_exists( srandom "stdlib.h" HAVE_SRANDOM_PROTO )

check_function_exists( seteuid HAVE_SETEUID )
check_function_exists( setegid HAVE_SETEGID )

check_function_exists( gethostname HAVE_GETHOSTNAME )
check_symbol_exists( gethostname "unistd.h" HAVE_GETHOSTNAME_PROTO )

check_function_exists( vsnprintf HAVE_VSNPRINTF )
check_function_exists( snprintf HAVE_SNPRINTF )

check_function_exists( setenv HAVE_SETENV )
check_symbol_exists( setenv "stdlib.h" HAVE_SETENV_PROTO )

check_function_exists( unsetenv HAVE_UNSETENV )
check_symbol_exists( unsetenv "stdlib.h" HAVE_UNSETENV_PROTO )

check_function_exists( mkdtemp HAVE_MKDTEMP )
check_symbol_exists( mkdtemp "stdlib.h" HAVE_MKDTEMP_PROTO )

check_function_exists( mkstemp HAVE_MKSTEMP )
check_symbol_exists( mkstemp "stdlib.h" HAVE_MKSTEMP_PROTO )

check_function_exists( mkstemps HAVE_MKSTEMPS )
check_symbol_exists( mkstemps "stdlib.h;unistd.h" HAVE_MKSTEMPS_PROTO )

=== dcop/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( KDE-ICE )
add_subdirectory( dcopidl )
add_subdirectory( dcopidlng )
add_subdirectory( dcopidl2cpp )
add_subdirectory( client )
add_subdirectory( tests )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### Define where your dcop binary is ##########

set( DCOP_PATH "${BIN_INSTALL_DIR}" )
configure_file( dcop-path.h.cmake dcop-path.h )


##### headers ###################################

install( FILES
    dcopclient.h dcopobject.h dcopstub.h dcopref.h
    dcoptypes.h kdatastream.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### libDCOP ###################################

set( target DCOP )

set( ${target}_SRCS
  dcopstub.cpp dcopref.cpp dcopobject.cpp dcopclient.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  LINK kICE-static ${TQT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


#### dcopserver (kdeinit) #######################

set( target dcopserver )

set( ${target}_SRCS
  dcopserver.cpp dcopsignals.cpp
)

tde_add_kdeinit_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kICE-static DCOP-shared
)


#### dcopserver_shutdown ########################

tde_add_executable( dcopserver_shutdown
  SOURCES dcopserver_shutdown.c
  DESTINATION ${BIN_INSTALL_DIR}
)

=== dnssd/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${AVAHI_TQT_INCLUDE_DIRS}
  ${AVAHI_CLIENT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kdecore
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
  ${AVAHI_TQT_LIBRARY_DIRS}
  ${AVAHI_CLIENT_LIBRARY_DIRS}
)

##### headers ###################################

install( FILES
    domainbrowser.h query.h remoteservice.h
    publicservice.h servicebase.h servicebrowser.h
    ${CMAKE_CURRENT_BINARY_DIR}/settings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/dnssd )


##### kdnssd ####################################

set( target kdnssd )

set( ${target}_SRCS
  remoteservice.cpp responder.cpp servicebase.cpp
  settings.kcfgc publicservice.cpp query.cpp
  domainbrowser.cpp servicebrowser.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.0.0
  LINK kdecore-shared
  LINK_PRIVATE ${AVAHI_TQT_LIBRARIES} ${AVAHI_CLIENT_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kab/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdeui
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kab #######################################

set( target kab )

set( ${target}_SRCS
  kabapi.cc addressbook.cc qconfigDB.cc
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
)

=== kabc/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( vcard )
add_subdirectory( vcardparser )
add_subdirectory( formats )
add_subdirectory( plugins )
add_subdirectory( tests )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/vcard/include
  ${CMAKE_CURRENT_SOURCE_DIR}/vcard/include/generated
  ${CMAKE_CURRENT_SOURCE_DIR}/vcardparser

  # external includes
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio
  ${CMAKE_SOURCE_DIR}/kio/kio
  ${CMAKE_SOURCE_DIR}/kab
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    address.h addressbook.h  addresseedialog.h
    agent.h distributionlist.h distributionlistdialog.h
    distributionlisteditor.h errorhandler.h field.h
    format.h formatfactory.h formatplugin.h geo.h key.h
    phonenumber.h picture.h plugin.h resource.h secrecy.h
    resourceselectdialog.h sound.h stdaddressbook.h
    timezone.h vcardconverter.h vcardformat.h lock.h
    vcardformatplugin.h ldifconverter.h addresslineedit.h
    ldapclient.h addresseelist.h locknull.h ldif.h
    ldapurl.h ldapconfigwidget.h sortmode.h
    ${CMAKE_CURRENT_BINARY_DIR}/addressee.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kabc )


##### other data ################################

install( FILES kab2kabc.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES kabc_manager.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kresources )
install( FILES countrytransl.map DESTINATION ${DATA_INSTALL_DIR}/kabc )


##### generated files ###########################
# FIXME this hack make compatibility with out-of-source mode

file( COPY
    scripts/makeaddressee scripts/addressee.src.cpp
    scripts/addressee.src.h scripts/entrylist scripts/field.src.cpp
  DESTINATION scripts )

add_custom_command(
  OUTPUT addressee.cpp addressee.h field.cpp
  COMMAND perl
  ARGS makeaddressee
  DEPENDS scripts/addressee.src.cpp scripts/addressee.src.h scripts/entrylist scripts/field.src.cpp
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/scripts
)

add_custom_target(
  addressee_files
  DEPENDS
    ${CMAKE_CURRENT_BINARY_DIR}/addressee.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/addressee.h
    ${CMAKE_CURRENT_BINARY_DIR}/field.cpp
)

##### kabc ######################################

set( target kabc )

set( ${target}_SRCS
  address.cpp addressbook.cpp addressee.cpp addresseedialog.cpp
  agent.cpp distributionlist.cpp distributionlistdialog.cpp
  distributionlisteditor.cpp errorhandler.cpp field.cpp
  formatfactory.cpp geo.cpp key.cpp phonenumber.cpp
  picture.cpp plugin.cpp resource.cpp resourceselectdialog.cpp
  secrecy.cpp sound.cpp stdaddressbook.cpp timezone.cpp
  vcard21parser.cpp vcardconverter.cpp vcardformat.cpp
  vcardformatimpl.cpp vcardformatplugin.cpp ldifconverter.cpp
  addresslineedit.cpp ldapclient.cpp addresseelist.cpp
  vcardtool.cpp addresseehelper.cpp lock.cpp locknull.cpp
  ldif.cpp ldapurl.cpp ldapconfigwidget.cpp sortmode.cpp
  addresseehelper.skel
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.2.0
  LINK vcards-static vcard-shared kio-shared kresources-shared
  DEPENDENCIES addressee_files
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kab2kabc ##################################

set( target kab2kabc )

set( ${target}_SRCS
  kab2kabc.cpp
)

tde_add_executable( ${target}
  SOURCES ${${target}_SRCS}
  LINK kab-static kabc-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kcmshell/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio
  ${CMAKE_SOURCE_DIR}/kio/kio
  ${CMAKE_SOURCE_DIR}/kutils
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcmshell ##################################

set( target kcmshell )

set( ${target}_SRCS
  main.cpp main.skel
)

tde_add_kdeinit_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kutils-shared
)

=== kconf_update/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)


##### kconf_update ##############################

set( target kconf_update )

set( ${target}_SRCS
  kconf_update.cpp
)

tde_add_kdeinit_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kdecore-shared
)

=== kdecore/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( malloc )
add_subdirectory( network )
add_subdirectory( kconfig_compiler )
add_subdirectory( tests )

if( WITH_LIBART )
  add_subdirectory( svgicons )
  set( KDESVGICONS kdesvgicons-static )
endif( WITH_LIBART )


include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/network
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/libltdl
  ${CMAKE_SOURCE_DIR}/kdefx
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio/kio
  ${LIBART_INCLUDE_DIRS}
  ${LIBIDN_INCLUDE_DIRS}
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kconfig.h kconfigskeleton.h kconfigdata.h ksimpleconfig.h
    kconfigdialogmanager.h kconfigbase.h kdesktopfile.h
    kurl.h ksock.h kaboutdata.h kcmdlineargs.h kconfigbackend.h
    kapp.h kapplication.h kuniqueapp.h kuniqueapplication.h
    kcharsets.h kdeversion.h kpty.h kprocess.h kprocctrl.h
    klocale.h kicontheme.h kiconloader.h kdebug.h kwinmodule.h
    kwin.h krootprop.h kshortcut.h kkeynative.h kaccel.h
    kglobalaccel.h kstdaccel.h kshortcutlist.h kcatalogue.h
    kregexp.h kcompletion.h kstringhandler.h kstddirs.h
    kstandarddirs.h kglobal.h kglobalsettings.h ksharedptr.h
    kallocator.h kvmallocator.h kcrash.h krfcdate.h kinstance.h
    kpalette.h kipc.h klibloader.h ktempfile.h ksavefile.h
    krandomsequence.h knotifyclient.h kiconeffect.h kaudioplayer.h
    kdcoppropertyproxy.h netwm.h kaccelmanager.h netwm_def.h
    kpixmapprovider.h kunload.h kstaticdeleter.h kextsock.h
    kextendedsocket.h ksockaddr.h kprocio.h kasyncio.h kbufferedio.h
    kurldrag.h kmimesourcefactory.h kmdcodec.h ksocks.h ksycoca.h
    ksycocaentry.h ksycocatype.h kxmessages.h kstartupinfo.h
    klargefile.h kmultipledrag.h kgenericfactory.h kgenericfactory.tcc
    ktypelist.h ksortablevaluelist.h kdebugclasses.h kclipboard.h
    kcalendarsystem.h kcalendarsystemfactory.h kmacroexpander.h
    kmanagerselection.h kmountpoint.h kuser.h klockfile.h
    kidna.h ktempdir.h kshell.h fixx11h.h kxerrorhandler.h
    kdelibs_export.h kde_file.h ktimezones.h
    ${CMAKE_CURRENT_BINARY_DIR}/kdemacros.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES all_languages.desktop
  DESTINATION ${LOCALE_INSTALL_DIR} RENAME all_languages )

install( FILES 40.colors Web.colors Royal.colors Rainbow.colors
  DESTINATION ${CONFIG_INSTALL_DIR}/colors )

install( FILES kdebug.areas kdebugrc language.codes
  DESTINATION ${CONFIG_INSTALL_DIR} )

install( FILES kmdcodec_compat.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kio RENAME kmdcodec.h )

install( FILES eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/knotify )

##### libkdecore ################################

set( target kdecore )

set( ${target}_SRCS
  libintl.cpp kapplication.cpp kdebug.cpp netwm.cpp
  kconfigbase.cpp kconfig.cpp ksimpleconfig.cpp kconfigbackend.cpp
  kmanagerselection.cpp kdesktopfile.cpp kstandarddirs.cpp
  ksock.cpp kpty.cpp kprocess.cpp kprocctrl.cpp klocale.cpp
  krfcdate.cpp kiconeffect.cpp kicontheme.cpp kiconloader.cpp
  kwin.cpp kwinmodule.cpp krootprop.cpp kcharsets.cpp
  kckey.cpp kshortcut.cpp kkeynative_x11.cpp kkeyserver_x11.cpp
  kaccelaction.cpp kshortcutmenu.cpp kaccelbase.cpp kaccel.cpp
  kglobalaccel_x11.cpp kglobalaccel.cpp kstdaccel.cpp kshortcutlist.cpp
  kcrash.cpp kurl.cpp kregexp.cpp kglobal.cpp kglobalsettings.cpp
  kallocator.cpp kvmallocator.cpp kmimesourcefactory.cpp
  kinstance.cpp kpalette.cpp kipc.cpp klibloader.cpp ktempfile.cpp
  kuniqueapplication.cpp kaccelmanager.cpp ksavefile.cpp
  krandomsequence.cpp kstringhandler.cpp kcompletion.cpp
  kcmdlineargs.cpp kaboutdata.cpp kcompletionbase.cpp knotifyclient.cpp
  kaudioplayer.cpp kdcoppropertyproxy.cpp ksockaddr.cpp
  kextsock.cpp netsupp.cpp kprocio.cpp kbufferedio.cpp
  kpixmapprovider.cpp kurldrag.cpp kmdcodec.cpp ksocks.cpp
  fakes.c vsnprintf.c ksycoca.cpp ksycocadict.cpp ksycoca.skel
  ksycocafactory.cpp kxmessages.cpp kstartupinfo.cpp
  kcatalogue.cpp kasyncio.cpp kmultipledrag.cpp kstaticdeleter.cpp
  kappdcopiface.cpp kappdcopiface.skel kclipboard.cpp
  kcheckaccelerators.cpp kdeversion.cpp kdebugdcopiface.cpp
  kdebugdcopiface.skel kcalendarsystem.cpp kcalendarsystemgregorian.cpp
  kcalendarsystemhijri.cpp kcalendarsystemhebrew.cpp
  kcalendarsystemfactory.cpp kmacroexpander.cpp kidna.cpp
  ktempdir.cpp kshell.cpp kmountpoint.cpp kcalendarsystemjalali.cpp
  kprotocolinfo_kdecore.cpp kprotocolinfofactory.cpp kxerrorhandler.cpp
  kuser.cpp kconfigskeleton.cpp kconfigdialogmanager.cpp klockfile.cpp
  kqiodevicegzip_p.cpp ktimezones.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  EMBED kdecorenetwork-static
  LINK DCOP-shared kdefx-shared ICE SM ${ZLIB_LIBRARIES}
  LINK_PRIVATE ltdlc-static ${KDESVGICONS} ${XCOMPOSITE_LIBRARIES}
    ${LIBIDN_LIBRARIES} ${LIBBFD_LIBRARIES} ${LIB_UTIL}
    ${Backtrace_LIBRARY}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kdefakes_nonpic ###########################

set( target kdefakes_nonpic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)

##### kdefakes_pic ##############################

set( target kdefakes_pic )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} STATIC_PIC
  SOURCES ${${target}_SRCS}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libkdefakes ###############################

set( target kdefakes )

set( ${target}_SRCS
  fakes.c vsnprintf.c
)

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kde-config ################################

# FIXME still need some research and improvements
configure_file( kde-config.cpp.cmake kde-config.cpp @ONLY )


tde_add_executable( kde-config
  SOURCES ${CMAKE_CURRENT_BINARY_DIR}/kde-config.cpp
  LINK kdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kgrantpty #################################

# FIXME there is something named KDE_USE_FPIE, I'm not sure what is this
#set_target_properties( kgrantpty PROPERTIES COMPILE_FLAGS ${KDE_USE_FPIE} )
#set_target_properties( kgrantpty PROPERTIES LINK_FLAGS ${KDE_USE_FPIE} )

tde_add_executable(kgrantpty SETUID
  SOURCES kgrantpty.c
  DESTINATION ${BIN_INSTALL_DIR}
)

##### kdetcompmgr #################################

tde_add_executable( kdetcompmgr
  SOURCES kdetcompmgr.cpp
  LINK kdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kded/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio
  ${CMAKE_SOURCE_DIR}/kio/kio
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES kdedmodule.h DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES kdedmodule.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES applications.menu DESTINATION ${XDG_MENU_INSTALL_DIR} )
install( FILES kded.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )


#### kded #######################################

set( target kded )

set( ${target}_SRCS
  kded.cpp kdedmodule.cpp
)

# we must to export kdeinit_kded-shared because various
# modules need this library
tde_add_kdeinit_executable( ${target} AUTOMOC EXPORT
  SOURCES ${${target}_SRCS}
  LINK kio-shared
)


#### kbuildsycoca ###############################

set( target kbuildsycoca )

set( ${target}_SRCS
  kbuildsycoca.cpp kbuildservicetypefactory.cpp
  kbuildservicefactory.cpp kbuildservicegroupfactory.cpp
  kbuildimageiofactory.cpp kbuildprotocolinfofactory.cpp
  kctimefactory.cpp vfolder_menu.cpp
)

tde_add_kdeinit_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kio-shared
)


#### kdontchangethehostname #####################

set( target kdontchangethehostname )

set( ${target}_SRCS
  khostname.cpp
)

tde_add_executable( ${target}
  SOURCES ${${target}_SRCS}
  LINK kdecore-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


#### kde-menu ###################################

set( target kde-menu )

set( ${target}_SRCS
  kde-menu.cpp
)

tde_add_executable( ${target}
  SOURCES ${${target}_SRCS}
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


#### kmimelist ##################################

set( target kmimelist )

set( ${target}_SRCS
  kmimelist.cpp
)

tde_add_executable( ${target}
  SOURCES ${${target}_SRCS}
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kdefx/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdecore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kpixmap.h kpixmapsplitter.h kpixmapeffect.h
    kimageeffect.h kdrawutil.h kstyle.h kcpuinfo.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### libkdefx ##################################

set( target kdefx )

set( ${target}_SRCS
  kpixmap.cpp kpixmapsplitter.cpp kpixmapeffect.cpp
  kimageeffect.cpp kdrawutil.cpp kstyle.cpp kcpuinfo.cpp
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  LINK ${TQT_LIBRARIES} ${XRENDER_LIBRARIES} c
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kdeprint/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( management )
add_subdirectory( lpdunix )
if( CUPS_FOUND )
  add_subdirectory( cups )
endif( CUPS_FOUND )
add_subdirectory( lpr )
add_subdirectory( rlpr )
add_subdirectory( ext )
add_subdirectory( filters )
add_subdirectory( pics )
add_subdirectory( tools )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/kdefx
  ${CMAKE_SOURCE_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/kdeui
  ${CMAKE_SOURCE_DIR}/kio
  ${CMAKE_SOURCE_DIR}/kio/kio
  ${CMAKE_SOURCE_DIR}/kio/kfile
  ${CMAKE_SOURCE_DIR}/kded
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kprinter.h kprintaction.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )

install( FILES
    kprintdialogpage.h kpreloadobject.h kmmanager.h
    kmprinter.h kmobject.h kprintdialog.h driver.h
    kmjobmanager.h kmjob.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kdeprint )


##### other data ################################

install( FILES kprintpreviewui.rc DESTINATION ${CONFIG_INSTALL_DIR}/ui )
install( FILES testprint.ps specials.desktop DESTINATION ${DATA_INSTALL_DIR}/kdeprint )
install( FILES kdeprintd.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded )
install( FILES kdeprintrc DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES kdeprintrc.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )


##### driverparse ###############################

set( target driverparse )

tde_add_library( ${target} STATIC_PIC
  SOURCES driverparse.c
)


##### kded_kdeprintd ############################

set( target kded_kdeprintd )

set( ${target}_SRCS
  kdeprintd.cpp kprintprocess.cpp kdeprintd.skel
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK kio-shared kdeinit_kded-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


#### kdeprint ###################################

set( target kdeprint )

set( ${target}_SRCS
  kmfactory.cpp kmjob.cpp kmjobmanager.cpp kmmanager.cpp
  kmprinter.cpp kmuimanager.cpp kmvirtualmanager.cpp
  driver.cpp driveritem.cpp droptionview.cpp driverview.cpp
  kmdbentry.cpp kprintpreview.cpp kprintdialog.cpp
  kprinter.cpp kprinterimpl.cpp kprintdialogpage.cpp
  kpcopiespage.cpp kpdriverpage.cpp kprinterpropertydialog.cpp
  kpgeneralpage.cpp kpqtpage.cpp kmthreadjob.cpp
  kpipeprocess.cpp kpfilterpage.cpp kmspecialmanager.cpp
  kdeprintcheck.cpp plugincombobox.cpp kpreloadobject.cpp
  kfilelist.cpp kprintaction.cpp kpfileselectpage.cpp
  treecombobox.cpp kxmlcommand.cpp util.cpp printerfilter.cpp
  marginpreview.cpp marginvaluewidget.cpp marginwidget.cpp
  kpmarginpage.cpp messagewindow.cpp posterpreview.cpp
  kpposterpage.cpp foomatic2loader.cpp fooparser.cpp
  fooscanner.cpp ppdparser.cpp ppdscanner.cpp ppdloader.cpp
  kmfactory.skel
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  LINK kio-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

set_target_properties( ${target}-shared PROPERTIES COMPILE_FLAGS -D_KDEPRINT_COMPILE )

=== kdesu/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kdecore
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/kdecore
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    defaults.h client.h process.h kdesu_pty.h
    kcookie.h su.h ssh.h stub.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kdesu )


##### libkdesu ##################################

set( target kdesu )

set( ${target}_SRCS
  client.cpp process.cpp kcookie.cpp
  su.cpp ssh.cpp stub.cpp kdesu_pty.cpp
)

tde_add_library( ${target} SHARED
  SOURCES ${${target}_SRCS}
  VERSION 4.2.0
  LINK kdecore-shared
  LINK_PRIVATE ${LIB_UTIL}
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_install_symlink( kdesu_pty.h ${INCLUDE_INSTALL_DIR}/kdesu/pty.h )


##### kdesu_stub ################################

tde_add_executable( kdesu_stub
  SOURCES kdesu_stub.c
  DESTINATION ${BIN_INSTALL_DIR}
)

=== debian/changelog ===
kdelibs-trinity (4:3.5.13.3~pre393-0ubuntu16.04.0+9) xenial; urgency=low

  * Automated git build for a760303dd89199beb31f1df9a8f99c4eb989957b

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 31 May 2022 16:26:11 +0200

=== debian/control ===
Source: kdelibs-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cmake-trinity, ninja-build, sharutils,
 binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man,
 libart-2.0-dev (>= 2.3.17), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev, libldap2-dev,
 liblualib50-dev, libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 texinfo, libogg-dev, libtqtinterface-dev,
 lsb-release, base-files, sudo,
 libltdl-dev, libmagic-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: kdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-kde3 (<< 4:3.5.13)
Breaks: kdelibs-kde3 (<< 4:3.5.13)
Provides: kdelibs
Conflicts: kdelibs
Depends: kdelibs4c2a-trinity (>= ${source:Version}),
 kdelibs-data-trinity (>= ${source:Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: kdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-kde3 (<< 4:3.5.13)
Breaks: kdelibs-data-kde3 (<< 4:3.5.13)
Depends: hicolor-icon-theme
Provides: kdelibs-data
Conflicts: kdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4c2a-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:3.5.13)
Breaks: kdelibs4c2a-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, kdelibs-data-trinity,
 netpbm (>= 2:10.0-15.1) | kdelibs4-imagetops-trinity,
 perl, xbase-clients
Recommends: xdg-user-dirs
Suggests: fam, perl-suid
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in kdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4-imagetops-trinity
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: netpbm
Conflicts: kdelibs4c2a-trinity (<< 4:3.5.13.3~), netpbm (>= 2:10.0-15.1)
Description: core libraries and binaries for all TDE applications
 This package contains the imagetops binary needed for print filters.
 .
 This binary has been included as part of newer versions of the netpbm
 package. Therefore, to avoid conflict, it was separated from the
 tdelibs14-trinity package into a separate package.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: kdelibs4-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-kde3-dev (<< 4:3.5.13)
Breaks: kdelibs4-kde3-dev (<< 4:3.5.13)
Depends: kdelibs4c2a-trinity (= ${source:Version}), libart-2.0-dev (>= 2.3.17),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
 libidn-dev | libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre3-dev, liblualib50-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
 binutils-dev
Provides: kdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs4-trinity-doc
Section: doc
Architecture: all
Replaces: kdelibs4-kde3-doc (<< 4:3.5.13)
Breaks: kdelibs4-kde3-doc (<< 4:3.5.13)
Provides: kdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'kde-trinity' and 'kdelibs-trinity' packages for more information.

Package: kdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-kde3-dbg (<< 4:3.5.13)
Breaks: kdelibs-kde3-dbg (<< 4:3.5.13)
Priority: extra
Conflicts: kdelibs4-trinity-dbg, kdelibs4c2-trinity-dbg, kdelibs4c2a-trinity-dbg
Depends: kdelibs4c2a-trinity (= ${source:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for kdelibs
 This package contains the debugging symbols associated with kdelibs.
 They will automatically be used by gdb for debugging kdelibs-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_GCC_VISIBILITY="OFF" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBIDN="ON" \
 -DWITH_TIFF="ON" \
 -DWITH_JASPER="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_AVAHI="ON" \
 -DWITH_ISPELL="ON" \
 -DWITH_ASPELL="ON" \
 -DWITH_HSPELL="ON" \
 -DDEFAULT_SPELL_CHECKER="ASPELL" \
 -DWITH_LZMA="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_MITSHM="ON" \
 -DWITH_IMAGETOPS_BINARY="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_MAKE_CHECK_TARGET = check

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/fileshareset	\
	opt/trinity/bin/kgrantpty	\
	opt/trinity/bin/kpac_dhcp_helper \
	opt/trinity/bin/start_kdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=kdelibs-trinity-dbg

DEB_DH_MAKESHLIBS_ARGS_kdelibs4c2a-trinity := -V'kdelibs4c2a-trinity (>= 4:3.5.8-1)'

binary-install/kdelibs-data-trinity::
	install -p -D -m644 kded/applications.menu debian/kdelibs-data-trinity/opt/trinity/etc/xdg/menus/kde-applications.menu
	install -p -D -m644 debian/trinitylibs.conf debian/kdelibs-data-trinity/etc/ld.so.conf.d/trinitylibs.conf
#	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/apps/kdeui/pics/aboutkde.png debian/icons/aboutkde-kubuntu.png.uu

	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/devices/system.png debian/icons/cr16-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/devices/system.png debian/icons/cr22-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/devices/system.png debian/icons/cr32-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/devices/system.png debian/icons/cr48-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/64x64/devices/system.png debian/icons/cr64-device-system.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/128x128/devices/system.png debian/icons/cr128-device-system.png.uu
#	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/scalable/devices/system.svgz debian/icons/crsc-device-system.svgz.uu

	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu

	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/kdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/suspend.png debian/icons/cr16-action-suspend.png.uu

### 

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/kdelibs4-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/kdelibs4-trinity-dev.substvars
endif

binary-install/kdelibs4-trinity-doc::
	[ -d debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/kdelibs-apidocs ] || \
	mv debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/tdelibs-apidocs \
	   debian/$(cdbs_curpkg)/opt/trinity/share/doc/tde/HTML/en/kdelibs-apidocs

binary-install/kdelibs4c2a-trinity::
	mv debian/tmp/opt/trinity/bin/kcmshell debian/tmp/opt/trinity/bin/kcmshell.real
	install -p -D -m755 debian/tmp/opt/trinity/bin/kcmshell.real debian/kdelibs4c2a-trinity/opt/trinity/bin/kcmshell.real
	install -p -D -m755 debian/kcmshell debian/kdelibs4c2a-trinity/opt/trinity/bin/kcmshell
